安装 Composer 并配置阿里云源

什么是 Composer?

与 NPM 类似,Composer 是 PHP 的依赖管理工具。它可以自动安装项目依赖清单中所声明的外部工具库,并支持多种系统平台运行。Composer 依托于 Packagist 及 GitHub 方便将优秀的 PHP 项目集成在一起,为我们的项目服务。
使用 Composer 的几点注意:

  • Composer 默认情况下不是全局安装,而是基于指定的项目的某个目录中(例如 vendor)进行安装。
  • Composer 需要 PHP 5.3.2+ 以上版本,且需要开启 openssl。
  • Composer 可运行在 Windows 、 Linux 以及 OSX 平台上。

Composer 的安装

Wondows 平台

Wondows 平台上,我们只需要下载 Composer-Setup.exe 后,一步步安装即可。
需要注意的是你需要开启 openssl 配置,我们打开 php 目录下的 php.ini,将 extension=php_openssl.dll 前面的分号去掉就可以了。
安装成功后,我们可以通过命令窗口(Powershell 或 cmd)输入 composer --version 命令来查看是否安装成功。

Linux 平台

Linux 平台可以使用以下命令来安装:

php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
php -r "if (hash_file('sha384', 'composer-setup.php') === 'c5b9b6d368201a9db6f74e2611495f369991b72d9c8cbd3ffbc63edff210eb73d46ffbfce88669ad33695ef77dc76976') { echo 'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;"
php composer-setup.php
php -r "unlink('composer-setup.php');"

Mac OS 系统

Mac OS 系统可以使用以下命令来安装:

$ curl -sS https://getcomposer.org/installer | php
$ sudo mv composer.phar /usr/local/bin/composer
$ composer --version
Composer version 1.9.3 2020-02-11 21:10:06

更换阿里云源

全局配置(推荐)

所有项目都会使用该镜像地址:

 composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

取消配置:

composer config -g --unset repos.packagist

项目配置

仅修改当前工程配置,仅当前工程可使用该镜像地址:

composer config repo.packagist composer https://mirrors.aliyun.com/composer/

取消配置:

composer config --unset repos.packagist

使用

常用命令

  • composer list 获取帮助信息
  • composer init以交互方式填写 composer.json 文件信息
  • composer install从当前目录读取 composer.json 文件,处理依赖关系,并安装到 verdor 目录下
  • composer update 获取依赖的最新版本,升级 composer.lock 文件
  • composer require添加新的依赖包到 composer.json 文件中并执行更新
  • composer search 在当前项目中搜索依赖包
  • composer show列举可用的资源包
  • composer validate检测 composer.json 文件是否有效
  • composer self-update将 composer 工具更新到最新版本
  • composer create-project 基于 composer 创建一个新项目
  • composer dump-autoload在添加新的类和目录映射时更新 autoloader
  • composer -vvv + cmdcomposer命令增加 -vvv 可输出详细的信息

遇到问题?

  • 建议先将Composer版本升级到最新:composer self-update
  • 执行诊断命令:composer diagnose
  • 清除缓存:composer clear
  • 若项目之前已通过其他源安装,则需要更新 composer.lock 文件,执行命令:composer update --lock
讨论数量: 0

请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!